OPEN API
  1. Safety
OPEN API
  • Organization Info
    • Get information about your organization
      GET
  • Drivers
    • List all drivers
      GET
    • Retrieve a driver
      GET
  • Hours Of Service
    • Get HOS clocks
      GET
    • Get all driver HOS daily logs
      GET
    • Get HOS logs
      GET
  • Vehicles
    • List all vehicles
      GET
    • Retrieve a vehicle
      GET
  • Assets
    • List Assets
      GET
    • Get Asset
      GET
    • Latest Asset Locations
      GET
  • Fault Codes
    • List Fault Code Events
      GET
  • Vehicle Locations
    • Historical Vehicle Locations
      GET
    • Latest Vehicle Locations
      GET
  • Trips
    • Get Vehicle Trips
      GET
  • Vehicle Stats
    • Vehicle Stats snapshot
      GET
  • Maintenance
    • Get all DVIRs
  • IFTA
    • Get IFTA jurisdiction reports
  • Safety
    • List Safety Events
      GET
    • Get Safety Event
      GET
    • Get Last Snapshot
      GET
    • Get Live Snapshot
      POST
  • Webhook
    • Sample Webhook request for specific trigger
    • Subscribe to specific immediately events
    • Available list of Triggers
    • Unsubscribe form events
  • Schemas
    • Schemas
      • CompanyResponse
      • DriverResponse
      • TimezoneEnum
      • TripLocation
      • TripStartEnd
      • VehicleResponse
    • AvailableTime
    • Asset
    • CompanyDetail
    • AssetLocationItem
    • AssetsResponse
    • CurrentStatusEnum
    • DVIRList
    • Driver
    • DVIRTrailerDefects
    • DriverLicense
    • DVIRVehicle
    • DVIRVehicleDefects
    • HosDailyLogs
    • HosDailyLogsResponse
    • HosLogsResponse
    • ForVehicleLocationResponse
    • LicensePlate
    • Location
    • PaginatedDriverList
    • IFTAItem
    • FaultCodeEvent
    • PaginatedHosLogsResponseList
    • IFTAReport
    • PaginatedTripResponseList
    • PaginatedVehicleList
    • PaginatedVehicleLocationResponseList
    • OpenAPIWebhookSubscribeRequest
    • HosLogAddress
    • Response
    • OpenAPIWebhookUnsubscribeRequest
    • HosLogLocation
    • Result
    • StatusEnum
    • PaginatedDVIRListList
    • StatusDurations
    • VehicleRoute
    • PaginatedIFTAReportList
    • PaginatedForVehicleLocationResponseList
    • TripResponse
    • VehicleRouteLocation
    • VehicleRouteStartEnd
    • NullEnum
    • Vehicle
    • VehicleSResponse
    • VehicleLocationResponse
    • VehicleStats
    • PaginatedWebhookTriggerList
    • PaginatedAssetLocationItemList
    • PaginatedFaultCodeEventList
    • WebhookTrigger
    • SafetyEvent
    • SafetyEventsResponse
    • SafetySnapshot
    • SafetySnapshotParamsRequest
    • TypeEnum
  1. Safety

Get Live Snapshot

POST
https://api.firsteld.com/openapi/safety/snapshots/live/
Request a live snapshot from the camera. Triggers the camera to capture and upload a new snapshot. May take several seconds. Accepts vehicleId and channelNo in query params or JSON body.

Request

Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Body

🟠404
🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.firsteld.com/openapi/safety/snapshots/live/?vehicleId&channelNo' \
--header 'Content-Type: application/json' \
--data-raw '{
    "vehicleId": "c406adf4-e700-4483-ad7a-e7447a2941cb",
    "channelNo": 1
}'
Response Response Example
{
    "url": "https://camera.example.com/snapshots/14616777757/01-28-2025/abc123.jpeg",
    "eventDatetime": "2024-01-15T14:30:00.000Z",
    "latitude": 37.7749,
    "longitude": -122.4194,
    "speed": 65.5,
    "heading": 180,
    "address": "13 mi NE from Buckeye, AZ",
    "channelNo": 1
}
Modified at 2026-03-03 20:51:36
Previous
Get Last Snapshot
Next
Sample Webhook request for specific trigger
Built with